#include <stdio.h>
#include <stdlib.h>

int main()
{
    int duzinaNiza,duzinaPodniza,krajnjiKoeficijent;
    int glavniNiz[200000];

    scanf("%d %d %d", &duzinaNiza, &duzinaPodniza, &krajnjiKoeficijent);
    for(int i=0;i<duzinaNiza;i++){
        scanf("%d", &glavniNiz[i]);
    }

    // ne koristi se u trenutnoj verziji koda: int koeficijent=1;

    int nizRezultata[200000]={0};

    for(int i =0; i<duzinaNiza-duzinaPodniza+1;i++){
        for(int j=i;j<duzinaPodniza+i;j++){
            nizRezultata[i]+=glavniNiz[j] * ((j-i)<1?1:((j-i)>krajnjiKoeficijent?krajnjiKoeficijent:(j-i)));
        }
    }

    for(int i=0;i<duzinaNiza-duzinaPodniza+1;i++){
        printf("%d ",nizRezultata[i]);
    }
}